# -*- coding: utf-8 -*-
from __future__ import unicode_literals

from django.db import models, migrations


class Migration(migrations.Migration):

    dependencies = [
        ('gestion', '0003_auto_20151014_1904'),
    ]

    operations = [
        migrations.CreateModel(
            name='Event',
            fields=[
                ('id', models.AutoField(verbose_name='ID', serialize=False, primary_key=True, auto_created=True)),
                ('nom', models.CharField(max_length=100)),
                ('nomcourt', models.CharField(verbose_name='Nom court', max_length=9)),
                ('date', models.DateField()),
                ('debut', models.TimeField()),
                ('fin', models.TimeField(blank=True, null=True)),
                ('slug', models.CharField(max_length=7, editable=False, unique=True)),
                ('lieu', models.CharField(max_length=200)),
                ('description', models.TextField(blank=True)),
                ('calendrier', models.BooleanField(verbose_name='Afficher dans le calendrier pour tous', default=False)),
            ],
            options={
                'verbose_name': 'Événement',
            },
            bases=(models.Model,),
        ),
        migrations.CreateModel(
            name='Participants',
            fields=[
                ('id', models.AutoField(verbose_name='ID', serialize=False, primary_key=True, auto_created=True)),
                ('reponse', models.CharField(verbose_name='Réponse', choices=[('oui', 'Oui'), ('non', 'Non'), ('pe', 'Peut-être')], default='non', max_length=20)),
                ('details', models.CharField(blank=True, max_length=50)),
                ('event', models.ForeignKey(to='calendrier.Event')),
                ('participant', models.ForeignKey(to='gestion.ErnestoUser')),
            ],
            options={
            },
            bases=(models.Model,),
        ),
    ]
